[Debburn-changes] r469 - cdrkit/trunk/icedax

Eduard Bloch blade at alioth.debian.org
Sat Nov 25 13:08:06 CET 2006


Author: blade
Date: 2006-11-25 13:08:05 +0100 (Sat, 25 Nov 2006)
New Revision: 469

Modified:
   cdrkit/trunk/icedax/cdda2ogg
   cdrkit/trunk/icedax/cdda2ogg.1
   cdrkit/trunk/icedax/icedax.c
   cdrkit/trunk/icedax/interface.c
   cdrkit/trunk/icedax/list_audio_tracks.1
   cdrkit/trunk/icedax/pitchplay
   cdrkit/trunk/icedax/readmult
Log:
More cdda2wav debranding

Modified: cdrkit/trunk/icedax/cdda2ogg
===================================================================
--- cdrkit/trunk/icedax/cdda2ogg	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/cdda2ogg	2006-11-25 12:08:05 UTC (rev 469)
@@ -6,7 +6,7 @@
 
 # specify the sampling program and its options
 # do not specify the track option here!
-CDDA2WAV=${CDDA2WAV:-cdda2wav}
+CDDA2WAV=${CDDA2WAV:-icedax}
 CDDA2WAV_OPTS=${CDDA2WAV_OPTS:-'-H -P0 -q'}
 
 # for normal use, comment out the next line
@@ -55,7 +55,7 @@
    echo Looking for available tracks...
    # could use list_audio_tracks instead but that would need an extra filter as
    # well, and this way we do not depend on that symlink
-   LIST="$( cdda2wav -J -vtoc -H 2>&1 | sed -e 's/^[^\ ].*//; s/\.([^)]*)/ /g;s/,//g;')"
+   LIST="$( $CDDA2WAV -J -vtoc -H 2>&1 | sed -e 's/^[^\ ].*//; s/\.([^)]*)/ /g;s/,//g;')"
    if [ -z "$LIST" ] ; then
       echo "ERROR: No valid audio tracks detected"
       exit 1

Modified: cdrkit/trunk/icedax/cdda2ogg.1
===================================================================
--- cdrkit/trunk/icedax/cdda2ogg.1	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/cdda2ogg.1	2006-11-25 12:08:05 UTC (rev 469)
@@ -10,9 +10,9 @@
 .SH "DESCRIPTION"
 .PP
 .B cdda2ogg is a simple script that uses the
-.B cdda2wav <fileprefix>
+.B icedax <fileprefix>
 command to extract all audio tracks with the
-.B cdda2wav <fileprefix>
+.B icedax <fileprefix>
 command and encode them using the
 .B ogg123
 respective
@@ -22,7 +22,7 @@
 programs, but only for quick storing of few audio data.
 It does not use databases like CDDB or have any extra features. You may look
 at
-.B cdda2wav
+.B icedax
 if you need them.
 .PP
 .B ogg123
@@ -82,7 +82,7 @@
 stores the selected tracks from the default cdrom device as 01-PartsOfBestOfFoo.ogg, 05-PartsOfBestOfFoo.ogg, 07-PartsOfBestOfFoo.ogg.
 
 .SH "SEE ALSO"
-.BR cdda2wav (1)
+.BR icedax (1)
 .SH "AUTHOR"
 .PP
 This manpage describes the program implementation of

Modified: cdrkit/trunk/icedax/icedax.c
===================================================================
--- cdrkit/trunk/icedax/icedax.c	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/icedax.c	2006-11-25 12:08:05 UTC (rev 469)
@@ -329,7 +329,7 @@
   } else {
     strncpy(datetime, "unknown", sizeof(datetime));
   }
-  fprintf(info_fp, "#created by cdda2wav %s %s\n#\n", VERSION
+  fprintf(info_fp, "#created by icedax %s %s\n#\n", VERSION
 	  , datetime
 	  );
   fprintf(info_fp,
@@ -459,7 +459,7 @@
 #endif
 #else
 # ifdef DEBUG_CLEANUP
-	fprintf(stderr, "Cdda2wav single process terminating, \n");
+	fprintf(stderr, "icedax single process terminating, \n");
 # endif
 #endif
 
@@ -690,7 +690,7 @@
 static void usage()
 {
   fputs(
-"usage: cdda2wav [OPTIONS ...] [trackfilenames ...]\n\
+"usage: icedax [OPTIONS ...] [trackfilenames ...]\n\
 OPTIONS:\n\
         [-c chans] [-s] [-m] [-b bits] [-r rate] [-a divider] [-S speed] [-x]\n\
         [-t track[+endtrack]] [-i index] [-o offset] [-d duration] [-F] [-G]\n\
@@ -2161,7 +2161,7 @@
 
 			) < 0) {
 		errmsgno(EX_BAD, "Bad Option: %s.\n", cav[0]);
-		fputs ("use 'cdda2wav -help' to get more information.\n", stderr);
+		fputs ("use 'icedax -help' to get more information.\n", stderr);
 		exit (SYNTAX_ERROR);
 	}
 	if (getfiles(&cac, &cav, opts) == 0)
@@ -2595,7 +2595,7 @@
   }
 
   if ( global.verbose != 0 ) {
-    fputs( "#Cdda2wav version ", stderr );
+    fputs( "#icedax version ", stderr );
     fputs( VERSION, stderr );
 #if defined USE_POSIX_PRIORITY_SCHEDULING || defined HAVE_SYS_PRIOCNTL_H
     fputs( ", real time sched.", stderr );

Modified: cdrkit/trunk/icedax/interface.c
===================================================================
--- cdrkit/trunk/icedax/interface.c	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/interface.c	2006-11-25 12:08:05 UTC (rev 469)
@@ -624,7 +624,7 @@
 		int	err = geterrno();
 
 		errmsgno(err, "%s%sCannot open SCSI driver.\n", errstr, errstr[0]?". ":"");
-		errmsgno(EX_BAD, "For possible targets try 'cdda2wav -scanbus'.%s\n",
+		errmsgno(EX_BAD, "For possible targets try 'wodim -scanbus'.%s\n",
 					geteuid() ? " Make sure you are root.":"");
 		priv_off();
         	dontneedgroup();
@@ -638,7 +638,7 @@
 	        fprintf(stderr, "Probably you did not define your SCSI device.\n");
 	        fprintf(stderr, "Set the CDDA_DEVICE environment variable or use the -D option.\n");
 	        fprintf(stderr, "You can also define the default device in the Makefile.\n");
-		fprintf(stderr, "For possible transport specifiers try 'cdda2wav dev=help'.\n");
+		fprintf(stderr, "For possible transport specifiers try 'wodim dev=help'.\n");
 	        exit(SYNTAX_ERROR);
 	}
 	usal_settimeout(usalp, 300);

Modified: cdrkit/trunk/icedax/list_audio_tracks.1
===================================================================
--- cdrkit/trunk/icedax/list_audio_tracks.1	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/list_audio_tracks.1	2006-11-25 12:08:05 UTC (rev 469)
@@ -2,7 +2,7 @@
 
 .PP
 .SH "NAME"
-list_audio_tracks is an alias for cdda2wav.
+list_audio_tracks is an alias for icedax.
 .PP
 .SH "SYNOPSIS"
 .PP
@@ -10,16 +10,15 @@
 .PP
 .SH "DESCRIPTION"
 .PP
-\fBlist_audio_tracks\fP equals to the invocation of cdda2wav, so all the
+\fBlist_audio_tracks\fP equals to the invocation of icedax, so all the
 arguments for the latter can be used.
 .PP
 .SH SEE ALSO
-cdda2wav(1)
+icedax(1)
 .PP 
 .SH "AUTHOR" 
 .PP 
-\fBcdda2was\fP was written by Joerg Schilling <js at cs\&.tu-berlin\&.de> and
-others.
+\fBicedax\fP was written by Heiko Eissfeldt and others.
 .PP 
 This manpage describes the program implementation of
 .B
@@ -27,7 +26,11 @@
 as shipped by the cdrkit distribution. See
 .B
 http://alioth.debian.org/projects/debburn/
-for details. It is a spinoff from the original program distributed by the cdrtools project. However, the cdrtools developers are not involved in the development of this spinoff and therefore shall not be made responsible for any problem caused by it. Do not try to get support for this program by contacting the original authors.
+for details. It is a spinoff from the original program called cdda2wav
+distributed by the cdrtools project. However, the cdrtools developers are not
+involved in the development of this spinoff and therefore shall not be made
+responsible for any problem caused by it. Do not try to get support for this
+program by contacting the original authors.
 .PP
 If you have support questions, send them to
 .PP

Modified: cdrkit/trunk/icedax/pitchplay
===================================================================
--- cdrkit/trunk/icedax/pitchplay	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/pitchplay	2006-11-25 12:08:05 UTC (rev 469)
@@ -18,7 +18,7 @@
 #           track 3 with a pitch of 140%, and
 #           track 5 with a pitch of 50%.
 #
-CDDA2WAV=cdda2wav
+CDDA2WAV=icedax
 #CDDA2WAVOPTS="-qeNP0 -n75"
 CDDA2WAVOPTS="-qeNP0 -n40"
 
@@ -28,7 +28,7 @@
     $CDDA2WAV $CDDA2WAVOPTS -t $1 -p $2
     RES=$?
     if [ $RES -ne 0 ]; then
-      echo "cdda2wav error, return value "$RES". Aborted." >&2
+      echo "$CDDA2WAV error, return value "$RES". Aborted." >&2
       break
     fi
     shift 2

Modified: cdrkit/trunk/icedax/readmult
===================================================================
--- cdrkit/trunk/icedax/readmult	2006-11-25 11:46:59 UTC (rev 468)
+++ cdrkit/trunk/icedax/readmult	2006-11-25 12:08:05 UTC (rev 469)
@@ -1,6 +1,6 @@
 #! /bin/sh
 #
-# Script to read more than 1 song with cdda2wav
+# Script to read more than 1 song with icedax
 # Each file gets an individual name from the command line
 #
 # based on a perl script from Matthias Schniedermeyer
@@ -12,7 +12,7 @@
 #              a file named lovesong.wav for track 3, and
 #              a file named medley.wav for track 5.
 #
-CDDA2WAV=cdda2wav
+CDDA2WAV=icedax
 CDDA2WAVOPTS="-P0"
 
 if [ $(( $# % 2 )) -eq 0 ]; then
@@ -20,7 +20,7 @@
     $CDDA2WAV $CDDA2WAVOPTS -Owav -t $1 $PREFIX$2".wav"
     RES=$?
     if [ $RES -ne 0 ]; then
-      echo "cdda2wav error, return value "$RES". Aborted." >&2
+      echo "$CDDA2WAV error, return value "$RES". Aborted." >&2
       break
     fi
     shift 2




More information about the Debburn-changes mailing list